C3DCriticalPointEigen Class Reference
Basic data strctures and functions

A class to hold a criticalpoint with eigenvalues and eigenvectors. More...

`#include <mia/3d/critical_point.hh>`

## Public Types

enum | EVType { ev_zero , ev_real , ev_real_two_equal , ev_real_three_equal , ev_complex }
| types of critical points More...

## Public Member Functions

| C3DCriticalPointEigen (C3DCriticalPoint cp)
| C3DCriticalPointEigen (const C3DFVector &l, const C3DFMatrix &m)
| C3DCriticalPointEigen (const C3DFVector &location_, const C3DFMatrix &portrait_, float eval1, float eval2, float eval3, const C3DFVector &evec1, const C3DFVector &evec2, const C3DFVector &evec3, EVType type)
std::complex< float > | get_complex_eval2 () const
std::complex< float > | get_complex_eval3 () const
const T3DCVector< float > | get_complex_evect2 () const
const T3DCVector< float > | get_complex_evect3 () const
float | get_eval1 () const
float | get_eval2 () const
float | get_eval3 () const
const C3DFVector | get_evect1 () const
const C3DFVector | get_location () const
const C3DFMatrix | get_portrait () const
float | get_real_eval2 () const
float | get_real_eval3 () const
const C3DFVector | get_real_evect2 () const
const C3DFVector | get_real_evect3 () const
EVType | get_type () const

## Detailed Description

A class to hold a criticalpoint with eigenvalues and eigenvectors.

Remarks
  untested

Definition at line 150 of file critical_point.hh.

## Member Enumeration Documentation

## EVType

enum C3DCriticalPointEigen::EVType

types of critical points

Enumerator
ev_zero | all eigenvalues are zero (more a placeholder)
ev_real | three real distinct eigenvalues
ev_real_two_equal | three real eigenvalues, two equal
ev_real_three_equal | three real eigenvalues, all equal
ev_complex |

Definition at line 179 of file critical_point.hh.

## Constructor & Destructor Documentation

## C3DCriticalPointEigen() [1/3]

C3DCriticalPointEigen::C3DCriticalPointEigen | ( | C3DCriticalPoint | cp | ) |

Construtor to create a critical point with evaluated eigenvalues and - vectors from a critical point.

Parameters

  cp | the critical point to construct from

## C3DCriticalPointEigen() [2/3]

C3DCriticalPointEigen::C3DCriticalPointEigen | ( | const C3DFVector & | l,
|  | const C3DFMatrix & | m )

Construtor to create a critical point with evaluated eigenvalues and - vectors .

Parameters

  l | location of the critical point
  m | phase portrait of the critical point

## C3DCriticalPointEigen() [3/3]

C3DCriticalPointEigen::C3DCriticalPointEigen | ( | const C3DFVector & | location_,
|  | const C3DFMatrix & | portrait_,
|  | float | eval1,
|  | float | eval2,
|  | float | eval3,
|  | const C3DFVector & | evec1,
|  | const C3DFVector & | evec2,
|  | const C3DFVector & | evec3,
|  | EVType | type )

Contruct a critical point from given data.

Parameters

  location_ | location of critical point
  portrait_ | phase portrait of critical point
  eval1 | first eigenvalue (always real)
  eval2 | second real eigenvalue or real part of conjugated complex ones
  eval3 | third real eigenvalue or imaginary part of conjugated complex ones
  evec1 | first eigenvector (always real)
  evec2 | second real eigenvector or real part of conjugated complex ones
  evec3 | third real eigenvector or imaginary part of conjugated complex ones
  type | how to interpret the second and third eigenvalues/-vectors

References get_complex_eval2(), get_complex_eval3(), get_complex_evect2(), get_complex_evect3(), get_eval1(), get_eval2(), get_eval3(), get_evect1(), get_location(), get_portrait(), get_real_eval2(), get_real_eval3(), get_real_evect2(), get_real_evect3(), and get_type().

## Member Function Documentation

## get_complex_eval2()

std::complex< float > C3DCriticalPointEigen::get_complex_eval2 | ( |  | ) | const

inline

Return values

  get | second eigenvalue as complex

Remarks
  asserts whether eigenvalue is really complex

Definition at line 304 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_complex_eval3()

std::complex< float > C3DCriticalPointEigen::get_complex_eval3 | ( |  | ) | const

inline

Return values

  get | third eigenvalue as complex

Remarks
  asserts whether eigenvalue is really complex

Definition at line 309 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_complex_evect2()

const T3DCVector< float > C3DCriticalPointEigen::get_complex_evect2 | ( |  | ) | const

inline

Definition at line 329 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_complex_evect3()

const T3DCVector< float > C3DCriticalPointEigen::get_complex_evect3 | ( |  | ) | const

inline

Definition at line 334 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_eval1()

float C3DCriticalPointEigen::get_eval1 | ( |  | ) | const

inline

Return values

  get | first eigenvalue

Definition at line 281 of file critical_point.hh.

Referenced by C3DCriticalPointEigen().

## get_eval2()

float C3DCriticalPointEigen::get_eval2 | ( |  | ) | const

inline

Return values

  get | second eigenvalue as real

Remarks
  use only for loading and storing

Definition at line 285 of file critical_point.hh.

Referenced by C3DCriticalPointEigen().

## get_eval3()

float C3DCriticalPointEigen::get_eval3 | ( |  | ) | const

inline

Return values

  get | second eigenvalue as real

Remarks
  use only for loading and storing

Definition at line 289 of file critical_point.hh.

Referenced by C3DCriticalPointEigen().

## get_evect1()

const C3DFVector C3DCriticalPointEigen::get_evect1 | ( |  | ) | const

inline

Return values

  a | copy of the first eigenvector

Definition at line 315 of file critical_point.hh.

Referenced by C3DCriticalPointEigen().

## get_location()

const C3DFVector C3DCriticalPointEigen::get_location | ( |  | ) | const

inline

Return values

  a | copy of the location

Definition at line 340 of file critical_point.hh.

Referenced by C3DCriticalPointEigen().

## get_portrait()

const C3DFMatrix C3DCriticalPointEigen::get_portrait | ( |  | ) | const

inline

Return values

  a | copy of the phase portrait

Definition at line 346 of file critical_point.hh.

Referenced by C3DCriticalPointEigen().

## get_real_eval2()

float C3DCriticalPointEigen::get_real_eval2 | ( |  | ) | const

inline

Return values

  get | second eigenvalue as real

Remarks
  asserts whether eigenvalue is really real

Definition at line 294 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_real_eval3()

float C3DCriticalPointEigen::get_real_eval3 | ( |  | ) | const

inline

Return values

  get | third eigenvalue as real

Remarks
  asserts whether eigenvalue is really real

Definition at line 299 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_real_evect2()

const C3DFVector C3DCriticalPointEigen::get_real_evect2 | ( |  | ) | const

inline

Return values

  a | copy of the second eigenvector as real

Remarks
  use only for loading and storing

Definition at line 319 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_real_evect3()

const C3DFVector C3DCriticalPointEigen::get_real_evect3 | ( |  | ) | const

inline

Definition at line 324 of file critical_point.hh.

References ev_complex.

Referenced by C3DCriticalPointEigen().

## get_type()

C3DCriticalPointEigen::EVType C3DCriticalPointEigen::get_type | ( |  | ) | const

inline

Return values

  type | of eigenvalues and eigenvectors

Definition at line 277 of file critical_point.hh.

Referenced by C3DCriticalPointEigen().

The documentation for this class was generated from the following file:

- critical_point.hh